Pixels
GET https://okk.link/api/pixels/
curl --request GET \
--url 'https://okk.link/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://okk.link/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Facultatif Chaîne | La chaîne de recherche. |
| search_by | Facultatif Chaîne | Le champ sur lequel tu effectues la recherche. Valeurs autorisées : name, pixel. |
| type | Facultatif Chaîne | Valeurs autorisées : facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | Facultatif Chaîne | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Facultatif Chaîne | Filtrer les résultats à partir de cette date. Format Y-m-d H:i:s. |
| datetime_end | Facultatif Chaîne | Filtrer les résultats jusqu'à cette date. Format Y-m-d H:i:s. |
| order_by | Facultatif Chaîne | Le champ utilisé pour trier les résultats. Valeurs autorisées : pixel_id, datetime, last_datetime, name. |
| order_type | Facultatif Chaîne | Ordre des résultats. Valeurs autorisées : ASC pour ordre croissant et DESC pour ordre décroissant. |
| page | Facultatif Entier | Le numéro de page pour lequel tu veux des résultats. Valeur par défaut : 1. |
| results_per_page | Facultatif Entier | Nombre de résultats souhaités par page. Valeurs autorisées : 10, 25, 50, 100, 250, 500, 1000. Valeur par défaut : 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-09-17 00:09:30"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://okk.link/api/pixels?page=1",
"last": "https://okk.link/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://okk.link/api/pixels?page=1"
}
}
GET https://okk.link/api/pixels/{pixel_id}
curl --request GET \
--url 'https://okk.link/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://okk.link/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-09-17 00:09:30"
}
}
POST https://okk.link/api/pixels
| Paramètres | Détails | Description |
|---|---|---|
| type | Obligatoire Chaîne | Valeurs autorisées : facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Obligatoire Chaîne | - |
| pixel | Obligatoire Chaîne | - |
curl --request POST \
--url 'https://okk.link/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://okk.link/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-09-17 00:09:30"
}
}
POST https://okk.link/api/pixels/{pixel_id}
| Paramètres | Détails | Description |
|---|---|---|
| type | Facultatif Chaîne | Valeurs autorisées : facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Facultatif Chaîne | - |
| pixel | Facultatif Chaîne | - |
curl --request POST \
--url 'https://okk.link/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://okk.link/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "Example",
"name": "Example",
"pixel": "Example",
"last_datetime": null,
"datetime": "2026-09-17 00:09:30"
}
}
DELETE https://okk.link/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://okk.link/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://okk.link/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \